diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/flow-id-tag.h ns-3.44/src/network/utils/flow-id-tag.h
--- ns-3.43/src/network/utils/flow-id-tag.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/flow-id-tag.h	2025-03-09 16:55:49.675372100 -0700
@@ -17,8 +17,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -31,22 +31,22 @@
     /**
      * Constructs a FlowIdTag with the given flow id
      *
-     * \param flowId Id to use for the tag
+     * @param flowId Id to use for the tag
      */
     FlowIdTag(uint32_t flowId);
     /**
      * Sets the flow id for the tag
-     * \param flowId Id to assign to the tag
+     * @param flowId Id to assign to the tag
      */
     void SetFlowId(uint32_t flowId);
     /**
      * Gets the flow id for the tag
-     * \returns current flow id for this tag
+     * @returns current flow id for this tag
      */
     uint32_t GetFlowId() const;
     /**
      * Uses a static variable to generate sequential flow id
-     * \returns flow id allocated
+     * @returns flow id allocated
      */
     static uint32_t AllocateFlowId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/generic-phy.h ns-3.44/src/network/utils/generic-phy.h
--- ns-3.43/src/network/utils/generic-phy.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/generic-phy.h	2025-03-09 16:55:49.675372100 -0700
@@ -9,7 +9,7 @@
 #ifndef GENERIC_PHY_H
 #define GENERIC_PHY_H
 
-#include <ns3/callback.h>
+#include "ns3/callback.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/inet6-socket-address.h ns-3.44/src/network/utils/inet6-socket-address.h
--- ns-3.43/src/network/utils/inet6-socket-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/inet6-socket-address.h	2025-03-09 16:55:49.675372100 -0700
@@ -19,109 +19,109 @@
 {
 
 /**
- * \ingroup address
- * \class Inet6SocketAddress
- * \brief An Inet6 address class.
+ * @ingroup address
+ * @class Inet6SocketAddress
+ * @brief An Inet6 address class.
  */
 class Inet6SocketAddress
 {
   public:
     /**
-     * \brief Constructor.
-     * \param ipv6 the IPv6 address
-     * \param port the port
+     * @brief Constructor.
+     * @param ipv6 the IPv6 address
+     * @param port the port
      */
     Inet6SocketAddress(Ipv6Address ipv6, uint16_t port);
 
     /**
-     * \brief Constructor (the port is set to zero).
-     * \param ipv6 the IPv6 address
+     * @brief Constructor (the port is set to zero).
+     * @param ipv6 the IPv6 address
      */
     Inet6SocketAddress(Ipv6Address ipv6);
 
     /**
-     * \brief Constructor (the address is set to "any").
-     * \param port the port
+     * @brief Constructor (the address is set to "any").
+     * @param port the port
      */
     Inet6SocketAddress(uint16_t port);
 
     /**
-     * \brief Constructor.
-     * \param ipv6 string which represents an IPv6 address
-     * \param port the port
+     * @brief Constructor.
+     * @param ipv6 string which represents an IPv6 address
+     * @param port the port
      */
     Inet6SocketAddress(const char* ipv6, uint16_t port);
 
     /**
-     * \brief Constructor.
-     * \param ipv6 string which represents an IPv6 address
+     * @brief Constructor.
+     * @param ipv6 string which represents an IPv6 address
      */
     Inet6SocketAddress(const char* ipv6);
 
     /**
-     * \brief Get the port.
-     * \return the port
+     * @brief Get the port.
+     * @return the port
      */
     uint16_t GetPort() const;
 
     /**
-     * \brief Set the port
-     * \param port the port
+     * @brief Set the port
+     * @param port the port
      */
     void SetPort(uint16_t port);
 
     /**
-     * \brief Get the IPv6 address.
-     * \return the IPv6 address
+     * @brief Get the IPv6 address.
+     * @return the IPv6 address
      */
     Ipv6Address GetIpv6() const;
 
     /**
-     * \brief Set the IPv6 address.
-     * \param ipv6 the address
+     * @brief Set the IPv6 address.
+     * @param ipv6 the address
      */
     void SetIpv6(Ipv6Address ipv6);
 
     /**
-     * \brief If the address match.
-     * \param addr the address to test
-     * \return true if the address match, false otherwise
+     * @brief If the address match.
+     * @param addr the address to test
+     * @return true if the address match, false otherwise
      */
     static bool IsMatchingType(const Address& addr);
 
     /**
-     * \brief Get an Address instance which represents this
+     * @brief Get an Address instance which represents this
      * Inet6SocketAddress instance.
      */
     operator Address() const;
 
     /**
-     * \brief Convert the address to a InetSocketAddress.
-     * \param addr the address to convert
-     * \return an Inet6SocketAddress instance corresponding to address
+     * @brief Convert the address to a InetSocketAddress.
+     * @param addr the address to convert
+     * @return an Inet6SocketAddress instance corresponding to address
      */
     static Inet6SocketAddress ConvertFrom(const Address& addr);
 
     /**
-     * \brief Convert to Address.
-     * \return Address instance
+     * @brief Convert to Address.
+     * @return Address instance
      */
     Address ConvertTo() const;
 
   private:
     /**
-     * \brief Get the type.
-     * \return the type of Inet6SocketAddress
+     * @brief Get the type.
+     * @return the type of Inet6SocketAddress
      */
     static uint8_t GetType();
 
     /**
-     * \brief The IPv6 address.
+     * @brief The IPv6 address.
      */
     Ipv6Address m_ipv6;
 
     /**
-     * \brief The port.
+     * @brief The port.
      */
     uint16_t m_port;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/inet-socket-address.h ns-3.44/src/network/utils/inet-socket-address.h
--- ns-3.43/src/network/utils/inet-socket-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/inet-socket-address.h	2025-03-09 16:55:49.675372100 -0700
@@ -19,9 +19,9 @@
 {
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief an Inet address class
+ * @brief an Inet address class
  *
  * This class is similar to inet_sockaddr in the BSD socket
  * API. i.e., this class holds an Ipv4Address and a port number
@@ -31,83 +31,83 @@
 {
   public:
     /**
-     * \param ipv4 the ipv4 address
-     * \param port the port number
+     * @param ipv4 the ipv4 address
+     * @param port the port number
      */
     InetSocketAddress(Ipv4Address ipv4, uint16_t port);
     /**
-     * \param ipv4 the ipv4 address
+     * @param ipv4 the ipv4 address
      *
      * The port number is set to zero by default.
      */
     InetSocketAddress(Ipv4Address ipv4);
     /**
-     * \param port the port number
+     * @param port the port number
      *
      * The ipv4 address is set to the "Any" address by default.
      */
     InetSocketAddress(uint16_t port);
     /**
-     * \param ipv4 string which represents an ipv4 address
-     * \param port the port number
+     * @param ipv4 string which represents an ipv4 address
+     * @param port the port number
      */
     InetSocketAddress(const char* ipv4, uint16_t port);
     /**
-     * \param ipv4 string which represents an ipv4 address
+     * @param ipv4 string which represents an ipv4 address
      *
      * The port number is set to zero.
      */
     InetSocketAddress(const char* ipv4);
     /**
-     * \returns the port number
+     * @returns the port number
      */
     uint16_t GetPort() const;
     /**
-     * \returns the ipv4 address
+     * @returns the ipv4 address
      */
     Ipv4Address GetIpv4() const;
 
     /**
-     * \param port the new port number.
+     * @param port the new port number.
      */
     void SetPort(uint16_t port);
     /**
-     * \param address the new ipv4 address
+     * @param address the new ipv4 address
      */
     void SetIpv4(Ipv4Address address);
 
     /**
-     * \param address address to test
-     * \returns true if the address matches, false otherwise.
+     * @param address address to test
+     * @returns true if the address matches, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
 
     /**
-     * \returns an Address instance which represents this
+     * @returns an Address instance which represents this
      * InetSocketAddress instance.
      */
     operator Address() const;
 
     /**
-     * \brief Returns an InetSocketAddress which corresponds to the input
+     * @brief Returns an InetSocketAddress which corresponds to the input
      * Address.
      *
-     * \param address the Address instance to convert from.
-     * \returns an InetSocketAddress
+     * @param address the Address instance to convert from.
+     * @returns an InetSocketAddress
      */
     static InetSocketAddress ConvertFrom(const Address& address);
 
     /**
-     * \brief Convert to an Address type
-     * \return the Address corresponding to this object.
+     * @brief Convert to an Address type
+     * @return the Address corresponding to this object.
      */
     Address ConvertTo() const;
 
   private:
     /**
-     * \brief Get the underlying address type (automatically assigned).
+     * @brief Get the underlying address type (automatically assigned).
      *
-     * \returns the address type
+     * @returns the address type
      */
     static uint8_t GetType();
     Ipv4Address m_ipv4; //!< the IPv4 address
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/ipv4-address.h ns-3.44/src/network/utils/ipv4-address.h
--- ns-3.43/src/network/utils/ipv4-address.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/ipv4-address.h	2025-03-09 16:55:49.679372300 -0700
@@ -21,11 +21,11 @@
 class Ipv4Mask;
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief Ipv4 addresses are stored in host order in this class.
+ * @brief Ipv4 addresses are stored in host order in this class.
  *
- * \see attribute_Ipv4Address
+ * @see attribute_Ipv4Address
  */
 class Ipv4Address
 {
@@ -33,137 +33,137 @@
     Ipv4Address();
     /**
      * input address is in host order.
-     * \param address The host order 32-bit address
+     * @param address The host order 32-bit address
      */
     explicit Ipv4Address(uint32_t address);
     /**
-     * \brief Constructs an Ipv4Address by parsing a the input C-string
+     * @brief Constructs an Ipv4Address by parsing a the input C-string
      *
      * Input address is in format:
      * \c hhh.xxx.xxx.lll
      * where \c h is the high byte and \c l the
      * low byte
-     * \param address C-string containing the address as described above
+     * @param address C-string containing the address as described above
      */
     Ipv4Address(const char* address);
     /**
      * Get the host-order 32-bit IP address
-     * \return the host-order 32-bit IP address
+     * @return the host-order 32-bit IP address
      */
     uint32_t Get() const;
     /**
      * input address is in host order.
-     * \param address The host order 32-bit address
+     * @param address The host order 32-bit address
      */
     void Set(uint32_t address);
     /**
-     * \brief Sets an Ipv4Address by parsing a the input C-string
+     * @brief Sets an Ipv4Address by parsing a the input C-string
      *
      * Input address is in format:
      * \c hhh.xxx.xxx.lll
      * where \c h is the high byte and \c l the
      * low byte
-     * \param address C-string containing the address as described above
+     * @param address C-string containing the address as described above
      */
     void Set(const char* address);
     /**
      * Serialize this address to a 4-byte buffer
      *
-     * \param buf output buffer to which this address gets overwritten with this
+     * @param buf output buffer to which this address gets overwritten with this
      * Ipv4Address
      */
     void Serialize(uint8_t buf[4]) const;
     /**
-     * \param buf buffer to read address from
-     * \return an Ipv4Address
+     * @param buf buffer to read address from
+     * @return an Ipv4Address
      *
      * The input address is expected to be in network byte order format.
      */
     static Ipv4Address Deserialize(const uint8_t buf[4]);
     /**
-     * \brief Print this address to the given output stream
+     * @brief Print this address to the given output stream
      *
      * The print format is in the typical "192.168.1.1"
-     * \param os The output stream to which this Ipv4Address is printed
+     * @param os The output stream to which this Ipv4Address is printed
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \return true if address is initialized (i.e., set to something), false otherwise
+     * @return true if address is initialized (i.e., set to something), false otherwise
      */
     bool IsInitialized() const;
     /**
-     * \return true if address is 0.0.0.0; false otherwise
+     * @return true if address is 0.0.0.0; false otherwise
      */
     bool IsAny() const;
     /**
-     * \return true if address is 127.0.0.1; false otherwise
+     * @return true if address is 127.0.0.1; false otherwise
      */
     bool IsLocalhost() const;
     /**
-     * \return true if address is 255.255.255.255; false otherwise
+     * @return true if address is 255.255.255.255; false otherwise
      */
     bool IsBroadcast() const;
     /**
-     * \return true only if address is in the range 224.0.0.0 - 239.255.255.255
+     * @return true only if address is in the range 224.0.0.0 - 239.255.255.255
      */
     bool IsMulticast() const;
     /**
-     * \return true only if address is in local multicast address scope, 224.0.0.0/24
+     * @return true only if address is in local multicast address scope, 224.0.0.0/24
      */
     bool IsLocalMulticast() const;
     /**
-     * \brief Combine this address with a network mask
+     * @brief Combine this address with a network mask
      *
      * This method returns an IPv4 address that is this address combined
      * (bitwise and) with a network mask, yielding an IPv4 network
      * address.
      *
-     * \param mask a network mask
-     * \returns the address combined with the mask
+     * @param mask a network mask
+     * @returns the address combined with the mask
      */
     Ipv4Address CombineMask(const Ipv4Mask& mask) const;
     /**
-     * \brief Generate subnet-directed broadcast address corresponding to mask
+     * @brief Generate subnet-directed broadcast address corresponding to mask
      *
      * The subnet-directed broadcast address has the host bits set to all
      * ones.  If this method is called with a mask of 255.255.255.255,
      * (i.e., the address is a /32 address), the program will assert, since
      * there is no subnet associated with a /32 address.
      *
-     * \param mask a network mask
-     * \returns a broadcast address for the subnet.
+     * @param mask a network mask
+     * @returns a broadcast address for the subnet.
      */
     Ipv4Address GetSubnetDirectedBroadcast(const Ipv4Mask& mask) const;
     /**
-     * \brief Generate subnet-directed broadcast address corresponding to mask
+     * @brief Generate subnet-directed broadcast address corresponding to mask
      *
      * The subnet-directed broadcast address has the host bits set to all
      * ones.  If this method is called with a mask of 255.255.255.255,
      * (i.e., the address is a /32 address), the program will assert, since
      * there is no subnet associated with a /32 address.
      *
-     * \param mask a network mask
-     * \return true if the address, when combined with the input mask, has all
+     * @param mask a network mask
+     * @return true if the address, when combined with the input mask, has all
      * of its host bits set to one
      */
     bool IsSubnetDirectedBroadcast(const Ipv4Mask& mask) const;
     /**
-     * \param address an address to compare type with
+     * @param address an address to compare type with
      *
-     * \return true if the type of the address stored internally
+     * @return true if the type of the address stored internally
      * is compatible with the type of the input address, false otherwise.
      */
     static bool IsMatchingType(const Address& address);
     /**
      * Convert an instance of this class to a polymorphic Address instance.
      *
-     * \return a new Address instance
+     * @return a new Address instance
      */
     operator Address() const;
     /**
-     * \param address a polymorphic address
-     * \return a new Ipv4Address from the polymorphic address
+     * @param address a polymorphic address
+     * @return a new Ipv4Address from the polymorphic address
      *
      * This function performs a type check and asserts if the
      * type of the input address is not compatible with an
@@ -171,76 +171,76 @@
      */
     static Ipv4Address ConvertFrom(const Address& address);
     /**
-     * \brief Convert to an Address type
-     * \return the Address corresponding to this object.
+     * @brief Convert to an Address type
+     * @return the Address corresponding to this object.
      */
     Address ConvertTo() const;
 
     /**
-     * \return the 0.0.0.0 address
+     * @return the 0.0.0.0 address
      */
     static Ipv4Address GetZero();
     /**
-     * \return the 0.0.0.0 address
+     * @return the 0.0.0.0 address
      */
     static Ipv4Address GetAny();
     /**
-     * \return the 255.255.255.255 address
+     * @return the 255.255.255.255 address
      */
     static Ipv4Address GetBroadcast();
     /**
-     * \return the 127.0.0.1 address
+     * @return the 127.0.0.1 address
      */
     static Ipv4Address GetLoopback();
 
   private:
     /**
-     * \brief Get the underlying address type (automatically assigned).
+     * @brief Get the underlying address type (automatically assigned).
      *
-     * \returns the address type
+     * @returns the address type
      */
     static uint8_t GetType();
     uint32_t m_address; //!< IPv4 address
     bool m_initialized; //!< IPv4 address has been explicitly initialized to a valid value.
 
     /**
-     * \brief Equal to operator.
+     * @brief Equal to operator.
      *
-     * \param a the first operand.
-     * \param b the first operand.
-     * \returns true if the operands are equal.
+     * @param a the first operand.
+     * @param b the first operand.
+     * @returns true if the operands are equal.
      */
     friend bool operator==(const Ipv4Address& a, const Ipv4Address& b);
 
     /**
-     * \brief Not equal to operator.
+     * @brief Not equal to operator.
      *
-     * \param a the first operand.
-     * \param b the first operand.
-     * \returns true if the operands are not equal.
+     * @param a the first operand.
+     * @param b the first operand.
+     * @returns true if the operands are not equal.
      */
     friend bool operator!=(const Ipv4Address& a, const Ipv4Address& b);
 
     /**
-     * \brief Less than to operator.
+     * @brief Less than to operator.
      *
-     * \param a the first operand.
-     * \param b the first operand.
-     * \returns true if the first operand is less than the second.
+     * @param a the first operand.
+     * @param b the first operand.
+     * @returns true if the first operand is less than the second.
      */
     friend bool operator<(const Ipv4Address& a, const Ipv4Address& b);
 };
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief a class to represent an Ipv4 address mask
+ * @brief a class to represent an Ipv4 address mask
  *
  * The constructor takes arguments according to a few formats.
  * Ipv4Mask ("255.255.255.255"), Ipv4Mask ("/32"), and Ipv4Mask (0xffffffff)
  * are all equivalent.
  *
- * \see attribute_Ipv4Mask
+ * @see attribute_Ipv4Mask
  */
 class Ipv4Mask
 {
@@ -250,76 +250,76 @@
      */
     Ipv4Mask();
     /**
-     * \param mask bitwise integer representation of the mask
+     * @param mask bitwise integer representation of the mask
      *
      * For example, the integer input 0xffffff00 yields a 24-bit mask
      */
     Ipv4Mask(uint32_t mask);
     /**
-     * \param mask String constant either in "255.255.255.0" or "/24" format
+     * @param mask String constant either in "255.255.255.0" or "/24" format
      */
     Ipv4Mask(const char* mask);
     /**
-     * \param a first address to compare
-     * \param b second address to compare
-     * \return true if both addresses are equal in their masked bits,
+     * @param a first address to compare
+     * @param b second address to compare
+     * @return true if both addresses are equal in their masked bits,
      * corresponding to this mask
      */
     bool IsMatch(Ipv4Address a, Ipv4Address b) const;
     /**
      * Get the host-order 32-bit IP mask
-     * \return the host-order 32-bit IP mask
+     * @return the host-order 32-bit IP mask
      */
     uint32_t Get() const;
     /**
      * input mask is in host order.
-     * \param mask The host order 32-bit mask
+     * @param mask The host order 32-bit mask
      */
     void Set(uint32_t mask);
     /**
-     * \brief Return the inverse mask in host order.
-     * \return The inverse mask
+     * @brief Return the inverse mask in host order.
+     * @return The inverse mask
      */
     uint32_t GetInverse() const;
     /**
-     * \brief Print this mask to the given output stream
+     * @brief Print this mask to the given output stream
      *
      * The print format is in the typical "255.255.255.0"
-     * \param os The output stream to which this Ipv4Address is printed
+     * @param os The output stream to which this Ipv4Address is printed
      */
     void Print(std::ostream& os) const;
     /**
-     * \return the prefix length of mask (the yy in x.x.x.x/yy notation)
+     * @return the prefix length of mask (the yy in x.x.x.x/yy notation)
      */
     uint16_t GetPrefixLength() const;
     /**
-     * \return the 255.0.0.0 mask corresponding to a typical loopback address
+     * @return the 255.0.0.0 mask corresponding to a typical loopback address
      */
     static Ipv4Mask GetLoopback();
     /**
-     * \return the 0.0.0.0 mask
+     * @return the 0.0.0.0 mask
      */
     static Ipv4Mask GetZero();
     /**
-     * \return the 255.255.255.255 mask
+     * @return the 255.255.255.255 mask
      */
     static Ipv4Mask GetOnes();
 
     /**
-     * \brief Equal to operator.
+     * @brief Equal to operator.
      *
-     * \param a the first operand.
-     * \param b the first operand.
-     * \returns true if the operands are equal.
+     * @param a the first operand.
+     * @param b the first operand.
+     * @returns true if the operands are equal.
      */
     friend bool operator==(const Ipv4Mask& a, const Ipv4Mask& b);
 
     /**
-     * \brief Not equal to operator.
+     * @brief Not equal to operator.
      *
-     * \param a the first operand.
-     * \param b the first operand.
-     * \returns true if the operands are not equal.
+     * @param a the first operand.
+     * @param b the first operand.
+     * @returns true if the operands are not equal.
      */
     friend bool operator!=(const Ipv4Mask& a, const Ipv4Mask& b);
 
@@ -331,35 +331,35 @@
 ATTRIBUTE_HELPER_HEADER(Ipv4Mask);
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param address the address
- * \returns a reference to the stream
+ * @param os the stream
+ * @param address the address
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv4Address& address);
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param mask the mask
- * \returns a reference to the stream
+ * @param os the stream
+ * @param mask the mask
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv4Mask& mask);
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param address the address
- * \returns a reference to the stream
+ * @param is the stream
+ * @param address the address
+ * @returns a reference to the stream
  */
 std::istream& operator>>(std::istream& is, Ipv4Address& address);
 /**
- * \brief Stream extraction operator.
+ * @brief Stream extraction operator.
  *
- * \param is the stream
- * \param mask the mask
- * \returns a reference to the stream
+ * @param is the stream
+ * @param mask the mask
+ * @returns a reference to the stream
  */
 std::istream& operator>>(std::istream& is, Ipv4Mask& mask);
 
@@ -382,17 +382,17 @@
 }
 
 /**
- * \ingroup address
+ * @ingroup address
  *
- * \brief Class providing an hash for IPv4 addresses
+ * @brief Class providing an hash for IPv4 addresses
  */
 class Ipv4AddressHash
 {
   public:
     /**
-     * \brief Returns the hash of an IPv4 address.
-     * \param x the address
-     * \return the hash
+     * @brief Returns the hash of an IPv4 address.
+     * @param x the address
+     * @return the hash
      *
      * This method uses std::hash rather than class Hash
      * as speed is more important than cryptographic robustness.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/ipv6-address.cc ns-3.44/src/network/utils/ipv6-address.cc
--- ns-3.43/src/network/utils/ipv6-address.cc	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/ipv6-address.cc	2025-03-09 16:55:49.679372300 -0700
@@ -35,11 +35,11 @@
 { /* } */
 #endif
     /**
-     * \brief Mix hash keys in-place for lookuphash
+     * @brief Mix hash keys in-place for lookuphash
      *
-     * \param a first word of the hash key
-     * \param b second word of the hash key
-     * \param c third word of the hash key
+     * @param a first word of the hash key
+     * @param b second word of the hash key
+     * @param c third word of the hash key
      */
     void mixHashKey(uint32_t& a, uint32_t& b, uint32_t& c)
     {
@@ -73,12 +73,12 @@
     }
 
     /**
-     * \brief Get a hash key.
-     * \param k the key
-     * \param length the length of the key
-     * \param level the previous hash, or an arbitrary value
-     * \return hash
-     * \note Adapted from Jens Jakobsen implementation (chillispot).
+     * @brief Get a hash key.
+     * @param k the key
+     * @param length the length of the key
+     * @param level the previous hash, or an arbitrary value
+     * @return hash
+     * @note Adapted from Jens Jakobsen implementation (chillispot).
      */
     static uint32_t lookuphash(unsigned char* k, uint32_t length, uint32_t level)
     {
